Page MenuHomePhabricator

Use datamodel serialization in Wikibase\Api\ResultBuilder
Closed, ResolvedPublic1 Story Points

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
DuplicateNone
InvalidLydia_Pintscher
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
ResolvedBene
OpenNone
ResolvedJanZerebecki
OpenNone
OpenNone
Resolvedthiemowmde
OpenNone
DeclinedBene
ResolvedBene
ResolvedBene
ResolvedBene
ResolvedAddshore
ResolvedAddshore
ResolvedBene
ResolvedBene
ResolvedBene
ResolvedAddshore
Resolveddaniel
ResolvedBene
DeclinedBene

Event Timeline

Addshore raised the priority of this task from to Normal.
Addshore updated the task description. (Show Details)
Addshore added a subscriber: Addshore.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 29 2015, 10:39 AM
Bene assigned this task to Addshore.Jul 6 2015, 7:57 PM
Bene added a subscriber: Bene.

I will add all of my commits to this bug soon!

Bene moved this task from Backlog to Doing on the Wikidata-Sprint-2015-06-30 board.Jul 6 2015, 8:02 PM
Tobi_WMDE_SW set Security to None.Jul 7 2015, 12:06 PM
Tobi_WMDE_SW edited a custom field.

Change 222602 had a related patch set uploaded (by Addshore):
Use DM Serialization in RB for labels & Descs

https://gerrit.wikimedia.org/r/222602

Change 222607 had a related patch set uploaded (by Addshore):
Use DM Serialization in RB for aliases

https://gerrit.wikimedia.org/r/222607

Change 222612 had a related patch set uploaded (by Addshore):
Use DM Serializetion in RB for sitelinks

https://gerrit.wikimedia.org/r/222612

Change 222602 merged by jenkins-bot:
Use DM Serialization in RB for labels & Descs

https://gerrit.wikimedia.org/r/222602

Change 225884 had a related patch set uploaded (by Addshore):
Use DM Serialization in RB for addClaim method

https://gerrit.wikimedia.org/r/225884

Change 222612 merged by jenkins-bot:
Use DM Serializetion in RB for sitelinks

https://gerrit.wikimedia.org/r/222612

Change 225897 had a related patch set uploaded (by Addshore):
Use DM Serialization in RB for addClaims method

https://gerrit.wikimedia.org/r/225897

Change 226678 had a related patch set uploaded (by Addshore):
Use DM Serialization in RB for addEntityRevision

https://gerrit.wikimedia.org/r/226678

Change 226745 had a related patch set (by Addshore) published:
Remove LibSerializerFactory from ResultBuilder

https://gerrit.wikimedia.org/r/226745

A first draft of all patches is now up

Change 222607 merged by jenkins-bot:
Use DM Serialization in RB for aliases

https://gerrit.wikimedia.org/r/222607

Change 225884 merged by jenkins-bot:
Use DM Serialization in RB for addClaim method

https://gerrit.wikimedia.org/r/225884

Change 225897 merged by jenkins-bot:
Use DM Serialization in RB for addClaims method

https://gerrit.wikimedia.org/r/225897

Change 226678 merged by jenkins-bot:
Use DM Serialization in RB for addEntityRevision

https://gerrit.wikimedia.org/r/226678

Change 226745 merged by jenkins-bot:
Remove LibSerializerFactory from ResultBuilder

https://gerrit.wikimedia.org/r/226745

JeroenDeDauw closed this task as Resolved.Aug 5 2015, 5:13 AM
JeroenDeDauw added a subscriber: JeroenDeDauw.